Name:           frescobaldi
Version:        3.0.0
Release:        %mkrel 2
Summary:        A LilyPond sheet music editor
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            http://www.frescobaldi.org
Source0:        https://github.com/wbsoft/frescobaldi/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

Requires:       lilypond
Requires:       python-qt5-core
Requires:       python-qt5-gui
Requires:       python-qt5-network
Requires:       python-qt5-printsupport
Requires:       python-qt5-svg
Requires:       python-qt5-webkit
Requires:       python-qt5-webkitwidgets
Requires:       python-qt5-widgets
Requires:       python-qt5-xml
Recommends:     portmidi

%description
Frescobaldi is a LilyPond sheet music editor. It aims to be powerful, yet
lightweight and easy to use.

%files
%{python3_sitelib}/%{name}_app/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%prep
%autosetup

%build
%py3_build

%install
%py3_install


%changelog
* Fri Mar 10 2017 akien <akien> 3.0.0-2.mga6
+ Revision: 1091717
- Fix missing PyQt5 dependencies

* Sun Feb 26 2017 akien <akien> 3.0.0-1.mga6
+ Revision: 1087981
- Version 3.0.0
- Ported to Qt5
- Remove explicit Requires for python modules, AutoReq does its job fine

* Sun Jan 22 2017 akien <akien> 2.19.0-1.mga6
+ Revision: 1082919
- Version 2.19.0

* Thu Apr 28 2016 daviddavid <daviddavid> 2.18.2-2.mga6
+ Revision: 1007146
- use new python macros

* Tue Jan 26 2016 spuhler <spuhler> 2.18.2-1.mga6
+ Revision: 927904
- upgrade to vers. 2.18.2
  * bug fixes

* Wed Oct 07 2015 spuhler <spuhler> 2.18.1-3.mga6
+ Revision: 886984
- rebuild with python-3.5

* Sun Aug 30 2015 spuhler <spuhler> 2.18.1-2.mga6
+ Revision: 871320
- use python3 for build

* Thu Jun 25 2015 spuhler <spuhler> 2.18.1-1.mga6
+ Revision: 842752
- upgrade to vers. 2.18.1

* Fri Jan 09 2015 spuhler <spuhler> 2.17.1-1.mga5
+ Revision: 809632
- upgrade to 2.17.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.16-4.mga5
+ Revision: 741622
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.16-3.mga5
+ Revision: 726245
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.16-2.mga5
+ Revision: 679357
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 30 2014 spuhler <spuhler> 2.0.16-1.mga5
+ Revision: 669585
- upgrade to version 2.0.16

* Sat May 31 2014 pterjan <pterjan> 2.0.15-2.mga5
+ Revision: 628189
- Rebuild for new Python

* Thu Mar 13 2014 spuhler <spuhler> 2.0.15-1.mga5
+ Revision: 603148
- upgrade to ver. 2.0.15

* Wed Feb 05 2014 spuhler <spuhler> 2.0.13-1.mga5
+ Revision: 582762
- upgrade to 2.0.13

* Tue Oct 22 2013 umeabot <umeabot> 2.0.11-2.mga4
+ Revision: 542539
- Mageia 4 Mass Rebuild

  + spuhler <spuhler>
    - added Requires: lilypond
    - upgrade to version 2.0.11
      * bug fixes
      * some features, incl. man

* Mon Oct 14 2013 pterjan <pterjan> 2.0.10-2.mga4
+ Revision: 497753
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 2.0.10-1.mga4
+ Revision: 441072
- new version 2.0.10

* Fri Jan 11 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 350961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.0.8-2.mga3
+ Revision: 317291
- fix bug#8035, hardrequires on pypopper-qt4, and suggests portmidi

* Sun Sep 16 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 294302
- new version 2.0.8

* Sat Sep 08 2012 fwang <fwang> 2.0.7-1.mga3
+ Revision: 289885
- new version 2.0.7

* Mon Jun 04 2012 fwang <fwang> 2.0.6-1.mga3
+ Revision: 253855
- new version 2.0.6

* Fri Mar 09 2012 fwang <fwang> 2.0.4-1.mga2
+ Revision: 222066
- new version 2.0.4

* Tue Jan 17 2012 fwang <fwang> 2.0.2-1.mga2
+ Revision: 197484
- new version 2.0.2

* Sat Jan 14 2012 fwang <fwang> 2.0.1-1.mga2
+ Revision: 195967
- new version 2.0.1
- not kde4 based now

* Tue Dec 27 2011 fwang <fwang> 2.0.0-1.mga2
+ Revision: 188106
- cleanup req
- new version 2.0.0

* Tue May 17 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 99438
- New version 1.2.0
- imported package frescobaldi

